#!/bin/sh

REVN="r03"
#
# wsmenu.sh by Brad Skiff
# 
p_e ()
{
    echo ""
    echo -n "Press Enter for wsmenu "
    read pick
    clear
}

M1="1 - VoIP config"
M2="2 - wshaper status"
M3="3 - >STOP wshaper"
M4="4 - >START wshaper"
M5="5 - >START wshaper nocop"
M6="6 - floppyfw I/O setup"
M7="7 - >RE-INIT firewall"
#
M8="8 - disk space"
M9="9 - memory use"
MA="a - ip_conntrack - all"
MB="b - ip_conntrack - tcp"
MC="c - ip_conntrack - udp"
MD="d - iptables -L -n -v"
M0="0 - >exit wsmenu"

pick=
until [ "$pick" = "0" ]; do
printf "\t\t## wsmenu $REVN ##\n
  show >Do\t\t\tshow >Do
  %-28s  %-28s
  %-28s  %-28s
  %-28s  %-28s
  %-28s  %-28s
  %-28s  %-28s
  %-28s  %-28s
  %-28s  %-28s\n"	"$M1"	"$M8" \
			"$M2"	"$M9" \
			"$M3"	"$MA" \
			"$M4"	"$MB" \
			"$M5"	"$MC" \
			"$M6"	"$MD" \
			"$M7"	"$M0"
echo ""
echo -n "  Enter (1-9/a-d or 0): "
read pick
echo ""
    case $pick in
	1 ) . /etc/voipvars.sh ; p_e ;;
        2 ) wshaper.htb status ; p_e ;;
        3 ) wshaper.htb stop ; p_e ;;
        4 ) wshaper.htb ; p_e ;;
	5 ) wshaper.htb nocop ; p_e ;;
	6 ) . /etc/showffw.sh ; p_e ;;
	7 ) . /etc/firewall.init ; p_e ;;
	8 ) df -h ; p_e ;;
	9 ) free ; p_e ;;
	a ) cat /proc/net/ip_conntrack ; p_e ;;
	b ) cat /proc/net/ip_conntrack |grep tcp ; p_e ;;
	c ) cat /proc/net/ip_conntrack |grep udp ; p_e ;;
        d ) iptables -L -n -v ; p_e ;;
        0 ) exit ;;
        * ) echo "Please enter 1-9/a-d or 0" ; p_e
    esac
done

